#
# spec file for package awesome-branding-openSUSE
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
# Copyright (c) 2012 Togan Muftuoglu <toganm@opensuse.org>
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define _version 3.5-v0.3
%define _name awesome
Name:           awesome-branding-openSUSE
Version:        3.5
Release:        10.5
Summary:        openSUSE Branding for awesome
License:        GPL-2.0+
Group:          System/GUI/Other
Url:            https://github.com/madanyang/awesome-branding-opensuse
Source:         %{name}-%{_version}.tar.xz
Requires:       adwaita-icon-theme
Requires:       awesome-freedesktop
Requires:       awesome-vicious
Requires:       light-locker
Requires:       wallpaper-branding-openSUSE
Recommends:     awesome-shifty
Supplements:    packageand(%{_name}:branding-openSUSE)
Conflicts:      otherproviders(%{_name}-branding)
Provides:       %{_name}-branding = %{version}
BuildArch:      noarch

%description
This package provides the openSUSE specific additions both for
functions and look and feel for awesome window manager.

%prep
%setup -q -n %{name}-%{_version}

%build
# Nothing to build.

%install
install -Dm 0644 rc.lua %{buildroot}%{_sysconfdir}/xdg/awesome/rc.lua
install -Dm 0644 calendar2.lua %{buildroot}%{_datadir}/awesome/lib/calendar2.lua
install -Dm 0644 keydoc.lua %{buildroot}%{_datadir}/awesome/lib/keydoc.lua

mkdir -p %{buildroot}%{_datadir}/awesome/
cp -a themes/  %{buildroot}%{_datadir}/awesome/

%files
%defattr(-,root,root)
%doc README.openSUSE
%dir %{_sysconfdir}/xdg/awesome/
%config(noreplace) %{_sysconfdir}/xdg/awesome/rc.lua
%dir %{_datadir}/awesome/
%{_datadir}/awesome/lib/
%{_datadir}/awesome/themes/

%changelog
* Tue Nov 10 2015 sor.alexei@meowr.ru
- Update to 3.5-v0.3:
  * awesome 3.5 compatibility (boo#953503).
  * Use Adwaita icon theme instead of GNOME icon theme.
  * Use light-locker instead of xscreensaver.
- Remove awesome-branding-openSUSE-systemctl.patch.
* Thu May 15 2014 glin@suse.com
- Add awesome-branding-openSUSE-systemctl.patch to use systemctl
  to shutdown and reboot
* Sun Jul  7 2013 toganm@opensuse.org
- Upgraded to 3.4.15-v0.1
  * Use wallpaper-branding-openSUSE 1920x1080 image as default
* Wed Jan 30 2013 toganm@opensuse.org
- Upgraded to 3.4.13-v0.2 git version
  * Fixes bnc#798460 and bnc#798289
  * Added some widgets to show how they can be used
    + keyboard
    + weather
    + ethernet network
    + battery
  * Documentation for branding
  * Provide option to use personal theme if available
  * Use local in prepartion for awesome 3.5 migration
* Fri Dec  7 2012 toganm@opensuse.org
- Initial packaging
  * added nitrogen and awesome-freedesktop awesome-vicious
    xscreensaver  to the required packages. awesome-shifty is
    recommended
  * keydoc.lua and calendar2.lua are added as modules
